Name:          dos2unix
Version:       7.5.1
Release:       1mamba
Summary:       Text file format converters
Group:         Applications/Text
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://waterlan.home.xs4all.nl/dos2unix.html
Source:        http://www.xs4all.nl/~waterlan/dos2unix/dos2unix-%{version}.tar.gz
License:       BSD
BuildRequires: gettext
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Provides:      hd2u
Obsoletes:     hd2u < 7.4.3
Provides:      unix2dos
Obsoletes:     unix2dos < 7.4.3

%description
Convert text files with DOS or Mac line endings to Unix line endings and vice versa.

Features

* Native language support: Dutch, English, Esperanto, Esperanto x-method, German.
* Automatically skips binary and non-regular files
* In-place, paired, or stdio mode conversion.
* Keep original file dates option.
* 7-bit and iso (CP437 <-> ISO-8859-1) conversion modes.

%debug_package

%prep
%setup -q
rm -rf po/*/eo-x.*

%build
%make CFLAGS="%{optflags} -D_LARGEFILE_SOURCE $(getconf LFS_CFLAGS)"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -rf %{buildroot}%{_docdir}

%find_lang %{name} --all-name --with-man

#%find_lang unix2dos
#%find_lang unix2mac
#%find_lang mac2unix
#cat unix2dos.lang unix2mac.lang mac2unix.lang >> %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/dos2unix
%{_bindir}/mac2unix
%{_bindir}/unix2dos
%{_bindir}/unix2mac
%{_mandir}/man1/dos2unix.1*
%{_mandir}/man1/mac2unix.1*
%{_mandir}/man1/unix2dos.1*
%{_mandir}/man1/unix2mac.1*
%doc COPYING.txt
#%doc ChangeLog.txt 
#%doc dos2unix.htm dos2unix.pdf dos2unix.ps
#%doc NEWS.txt README.txt TODO.txt

%changelog
* Wed Aug 30 2023 Automatic Build System <autodist@mambasoft.it> 7.5.1-1mamba
- automatic version update by autodist

* Thu May 18 2023 Automatic Build System <autodist@mambasoft.it> 7.5.0-1mamba
- automatic version update by autodist

* Sun Feb 12 2023 Automatic Build System <autodist@mambasoft.it> 7.4.4-1mamba
- automatic version update by autodist

* Thu Jun 09 2022 Automatic Build System <autodist@mambasoft.it> 7.4.3-1mamba
- automatic version update by autodist

* Tue Oct 13 2020 Automatic Build System <autodist@mambasoft.it> 7.4.2-1mamba
- automatic version update by autodist

* Fri Sep 27 2019 Automatic Build System <autodist@mambasoft.it> 7.4.1-1mamba
- automatic version update by autodist

* Tue Oct 24 2017 Automatic Build System <autodist@mambasoft.it> 7.4.0-1mamba
- automatic version update by autodist

* Sun Jul 09 2017 Automatic Build System <autodist@mambasoft.it> 7.3.5-1mamba
- automatic version update by autodist

* Wed Jun 01 2016 Automatic Build System <autodist@mambasoft.it> 7.3.4-1mamba
- automatic version update by autodist

* Tue Feb 16 2016 Automatic Build System <autodist@mambasoft.it> 7.3.3-1mamba
- automatic version update by autodist

* Tue Nov 24 2015 Automatic Build System <autodist@mambasoft.it> 7.3.2-1mamba
- automatic version update by autodist

* Tue Oct 06 2015 Automatic Build System <autodist@mambasoft.it> 7.3.1-1mamba
- automatic version update by autodist

* Sat Aug 29 2015 Automatic Build System <autodist@mambasoft.it> 7.3-1mamba
- automatic version update by autodist

* Sat Jul 04 2015 Automatic Build System <autodist@mambasoft.it> 7.2.3-1mamba
- automatic version update by autodist

* Sat May 23 2015 Automatic Build System <autodist@mambasoft.it> 7.2.2-1mamba
- automatic version update by autodist

* Sat Apr 04 2015 Automatic Build System <autodist@mambasoft.it> 7.2.1-1mamba
- automatic version update by autodist

* Thu Feb 12 2015 Automatic Build System <autodist@mambasoft.it> 7.2-1mamba
- automatic update by autodist

* Tue Oct 14 2014 Automatic Build System <autodist@mambasoft.it> 7.1-1mamba
- automatic update by autodist

* Sun Sep 21 2014 Automatic Build System <autodist@mambasoft.it> 7.0-1mamba
- automatic version update by autodist

* Sun Aug 10 2014 Automatic Build System <autodist@mambasoft.it> 6.0.6-1mamba
- automatic version update by autodist

* Wed Apr 30 2014 Automatic Build System <autodist@mambasoft.it> 6.0.5-1mamba
- automatic version update by autodist

* Tue Dec 31 2013 Automatic Build System <autodist@mambasoft.it> 6.0.4-1mamba
- automatic version update by autodist

* Sun Jan 27 2013 Automatic Build System <autodist@mambasoft.it> 6.0.3-1mamba
- automatic version update by autodist

* Thu Oct 11 2012 Automatic Build System <autodist@mambasoft.it> 6.0.2-1mamba
- automatic version update by autodist

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 6.0.1-1mamba
- automatic version update by autodist

* Mon May 07 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 6.0-1mamba
- update to 6.0

* Wed Apr 25 2012 Automatic Build System <autodist@mambasoft.it> 5.3.3-1mamba
- automatic version update by autodist

* Mon Mar 28 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.1-3mamba
- obsolete unix2dos

* Mon Mar 28 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.1-2mamba
- obsolete hd2u

* Thu Dec 30 2010 gil <puntogil@libero.it> 5.1.1-1mamba
- package created by autospec
